QGIS Application - Bug report #19066
PIP no longer works with QGIS 2.18 (LTR) Python
2018-05-30 03:01 PM - Fredrik Lindberg

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.18.20 Regression?: Yes
Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 26896
Description

There is an issue where | run into a problem installing Python packages (using pip) for use with QGIS 2.18.x (error messages copied
below). This is probably related to TLS version.

C:\>pip install pint

Collecting pint

C:\OSGEO4~1\apps\Python27\lib\site-packages\pip\ vendor\requests\packages\urllib3\util\ssl.py:318: SNIMissingWarning: An HTTPS
request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the
server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve
this. For more information, see https://urllib3.readthedocs.org/en/latest/securit

y.html#snimissingwarning.

SNIMissingWarning
C:\OSGEO4~1\apps\Python27\lib\site-packages\pip\_vendor\requests\packages\urllib3\util\ss|_.py:122: InsecurePlatformWarning: A true
SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to
fail. You can upgrade to a newer version of Python to solve this. For more information, see
https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.

InsecurePlatformWarning

Could not fetch URL https://pypi.python.org/simple/pint/: There was a problem confirming the ssl certificate: [Errno 1] _ssl.c:504:
error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version - skipping

Could not find a version that satisfies the requirement pint (from versions: )

No matching distribution found for pint_

History

#1 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
https://urllib3.readthedocs.org/en/latest/securit
https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
